Subject: Re: [PATCH 0/3] ci: don't compile whole project when testing docs with Meson

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 15 Sep 2025 08:04:54 +0200

On Thu, Sep 11, 2025 at 10:02:22AM -0700, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > these two patches introduce a new "docs" alias into Meson and use it in
> > our "documentation" CI jobs so that we stop compiling all of Git only to
> > verify the generated manpages. This fixes the issue reported by Gábor in
> > [1].
> 
> There are three patches ;-).

Oops, yeah. I added the summary patch close before sending this out :)

> The end-user facing get_option() is called "docs", unlike what the
> "make" side understands, which is "make doc", even though internally
> we call the target internally as "doc_targets" (not "docs_target").
> 
> I wonder if we want to let people say "meson compile doc" to match
> the other world?
> 
> Will queue.  Thanks.

The reason why I picked 'docs' is that the accompanying user-facing
option is also named the same way. It's thus a bit more consistent with
itself to call the target 'docs' as well.

So I slightly lean towards keeping 'docs', but I don't feel too strongly
about it.

Patrick